freeslot(
	"S_PLAY_CELADONCHARGE", 
	"S_PLAY_CELADON_TAUNT",
	"S_PLAY_CELADON_SLIDE",
	"S_PLAY_CELADON_STOMP",
	"S_PLAY_CELADON_LANDING",
	"MT_CELADUST",
	"sfx_ultins",
	"sfx_lmao",
	"sfx_celnon",
	"sfx_celsld"
)

/// PLAYER STATES

// Charging a Psycho Sling
states[S_PLAY_CELADONCHARGE] = {
	sprite = SPR_PLAY,
	frame = SPR2_BNCE,
	tics = -1
}

// Taunting
states[S_PLAY_CELADON_TAUNT] = {
	sprite = SPR_PLAY,
	frame = SPR2_MLEL,
	tics = -1
}

// Using Slide
states[S_PLAY_CELADON_SLIDE] = {
	sprite = SPR_PLAY,
	frame = SPR2_MLEE,
	tics = -1
}

// Using Psycho Stomp
states[S_PLAY_CELADON_STOMP] = {
	sprite = SPR_PLAY,
	frame = SPR2_FALL,
	tics = TICRATE,
	nextstate = S_PLAY_JUMP
}

// Landing after Psycho Stomp
states[S_PLAY_CELADON_LANDING] = {
	sprite = SPR_PLAY,
	frame = SPR2_SPIN,
	tics = 10,
	nextstate = S_PLAY_WALK
}

/// OBJECT TYPES

// Dust used for Slide and Psycho Stomp
mobjinfo[MT_CELADUST] = {
	spawnstate = S_SPINDUST1,
	flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPTHING|MF_NOCLIPHEIGHT|MF_NOGRAVITY
}

/// SOUND EFFECTS
sfxinfo[sfx_ultins].caption = "Stinger" // Drip taunt
sfxinfo[sfx_lmao].caption = "Laughter" // Laughing taunt
sfxinfo[sfx_celnon].caption = "/" // Sorry nothing
sfxinfo[sfx_celsld].caption = "Sliding" // Take a wild guess as to what this one is